TICKIT_WINDOW_RAISE(3)

NAME
tickit_window_raise, tickit_window_lower - change window stacking order

SYNOPSIS
    #include <tickit.h>

    void tickit_window_raise(TickitWindow *win);
    void tickit_window_raise_to_front(TickitWindow *win);
    void tickit_window_lower(TickitWindow *win);
    void tickit_window_lower_to_back(TickitWindow *win);

Link with -ltickit.

DESCRIPTION
tickit_window_raise() brings the given window one level higher up in the stacking order in its parent. tickit_window_raise_to_front() brings the given window to the front of the stacking order in its parent. These functions may cause new areas of the given window or children of it to become exposed, and may result in TICKIT_EV_EXPOSE events when tickit_window_flush(3) is next called.

tickit_window_lower() brings the given window one level lower down in the stacking order in its parent. tickit_window_lower_to_back() brings the given window to the back of the stacking order in its parent. These functions may cause new areas of other sibling windows or their children to become exposed, and may result in TICKIT_EV_EXPOSE events when tickit_window_flush(3) is next called.

RETURN VALUE
These functions return no value.

SEE ALSO
tickit_window_new(3), tickit_window_show(3), tickit_window_bind_event(3), tickit_window_flush(3), tickit_window(7), tickit(7)